"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

/*
  Copyright 2018 Google LLC

  Use of this source code is governed by an MIT-style
  license that can be found in the LICENSE file or at
  https://opensource.org/licenses/MIT.
*/
const fse = require('fs-extra');

const ol = require('common-tags').oneLine;

const askQuestions = require('./questions/ask-questions');

const logger = require('./logger');

module.exports =
/*#__PURE__*/
function () {
  var _ref = (0, _asyncToGenerator2.default)(function* (options = {}) {
    const _ref2 = yield askQuestions(options),
          configLocation = _ref2.configLocation,
          config = _ref2.config;

    const contents = `module.exports = ${JSON.stringify(config, null, 2)};`;
    yield fse.writeFile(configLocation, contents);
    const command = options.injectManifest ? 'injectManifest' : 'generateSW';
    logger.log(`To build your service worker, run

  workbox ${command} ${configLocation}

as part of a build process. See https://goo.gl/fdTQBf for details.`);
    const configDocsUrl = options.injectManifest ? 'https://goo.gl/8bs14N' : 'https://goo.gl/gVo87N';
    logger.log(ol`You can further customize your service worker by making changes
    to ${configLocation}. See ${configDocsUrl} for details.`);
  });

  return function () {
    return _ref.apply(this, arguments);
  };
}();